Debian Bug report logs - #705599
finish-install: 07speakup needs to be updated for Wheezy and GNOME 3

version graph

Package: finish-install; Maintainer for finish-install is Debian Install System Team <debian-boot@lists.debian.org>; Source for finish-install is src:finish-install.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Wed, 17 Apr 2013 09:45:02 UTC

Severity: important

Tags: patch

Found in version finish-install/2.41

Fixed in versions finish-install/2.41wheezy1, finish-install/2.44

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hertzog@debian.org, sthibault@debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Wed, 17 Apr 2013 09:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to hertzog@debian.org, sthibault@debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 17 Apr 2013 09:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Wed, 17 Apr 2013 11:40:55 +0200
[Message part 1 (text/plain, inline)]
Package: finish-install
Version: 2.41
Severity: important
Tags: patch

finish-install.d/07speakup needs to be update for Wheezy and GNOME3.
GNOME 3 uses gsettings (with dconf as underlying database) so
the gconf commands are ineffective with Debian Wheezy.

Please find a tested patch in attachment. Let me know if you want
me to push this change to master or if you want me to create a wheezy
branch (I noticed that wheezy only has 2.41 while master has 2.42).

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.8-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[0001-Update-finish-install.d-07speakup-to-use-the-relevan.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Wed, 17 Apr 2013 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 17 Apr 2013 22:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 705599@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 705599@bugs.debian.org
Subject: Re: Bug#705599: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Thu, 18 Apr 2013 00:36:33 +0200
[Message part 1 (text/plain, inline)]
Raphaël Hertzog, le Wed 17 Apr 2013 11:40:55 +0200, a écrit :
> finish-install.d/07speakup needs to be update for Wheezy and GNOME3.
> GNOME 3 uses gsettings (with dconf as underlying database) so
> the gconf commands are ineffective with Debian Wheezy.

Oops, indeed, I had updated brltty, but not the speakup case.

> Replacing those gconf commands by equivalent dconf commands
> is not possible because dbus is not yet setup during initial
> installation and dconf seems to need dbus.

For brltty, what I did for enabling the screen reader was this:

/bin/in-target su -s /bin/sh -c 'eval $(dbus-launch) ; export DBUS_SESSION_BUS_ADDRESS DBUS_SESSION_BUS_PID ; GSETTINGS_BACKEND=dconf gsettings set org.gnome.desktop.a11y.applications screen-reader-enabled true' Debian-gdm || true

db_get passwd/username
USERNAME="$RET"
if [ -n "$USERNAME" ]
then
        /bin/in-target su -s /bin/sh -c 'eval $(dbus-launch) ; export DBUS_SESSION_BUS_ADDRESS DBUS_SESSION_BUS_PID ; GSETTINGS_BACKEND=dconf gsettings set org.gnome.desktop.a11y.applications screen-reader-enabled true' "$USERNAME" || true
fi

r now realize that I had not yet taken the time to find out the
equivalent of event_sounds, but this is what you have just done.

So in the end, it would rather be the attached patch, which also enables
the screen reader.

Samuel
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Thu, 18 Apr 2013 06:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 18 Apr 2013 06:30:04 GMT) Full text and rfc822 format available.

Message #15 received at 705599@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 705599@bugs.debian.org
Subject: Re: Bug#705599: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Thu, 18 Apr 2013 08:27:01 +0200
On Thu, 18 Apr 2013, Samuel Thibault wrote:
> So in the end, it would rather be the attached patch, which also enables
> the screen reader.

Honestly, I prefer my patch over yours:

1/ you're setting up dbus within d-i instead of letting it happen during
   the first boot like on other installation scenarios

2/ the multiple dbus-launch means that you start multiple dbus that are
   left around during the installation (this goes against policy-rc.d
   which disables daemons on purpose)

3/ you change directly the user configuration instead of adjusting
   the defaults (this one is debatable since supplementary users might
   not want a11y enabled by default but this is a minor inconvenience)

4/ if the system is reconfigured so that gsettings uses something else
   than dconf as backend, your configuration work is useless whereas
   with my approach it's not since it's handled in a higer layer (at the
   gsettings level)

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Fri, 19 Apr 2013 00:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Apr 2013 00:45:14 GMT) Full text and rfc822 format available.

Message #20 received at 705599@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 705599@bugs.debian.org, debian-accessibility@lists.debian.org
Subject: Re: Bug#705599: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Fri, 19 Apr 2013 02:36:49 +0200
Raphael Hertzog, le Thu 18 Apr 2013 08:27:01 +0200, a écrit :
> 1/ you're setting up dbus within d-i instead of letting it happen during
>    the first boot like on other installation scenarios

? I don't undesrstand this: it only sets up a temporary session just for
setting the value.

> 2/ the multiple dbus-launch means that you start multiple dbus that are
>    left around during the installation (this goes against policy-rc.d
>    which disables daemons on purpose)

Right, I forgot to kill the daemon afterwards.

> 3/ you change directly the user configuration instead of adjusting
>    the defaults (this one is debatable since supplementary users might
>    not want a11y enabled by default but this is a minor inconvenience)

Yes, thus Cc-ing debian-accessibility.  I'm not sure what we really
want.  Most often, users (other than the person who installed the system
with braille or speech) will not want accessibility being enabled.

On the other hand, just changing the default could be less surprising
than having a configured user.

But on the other hand again, having "a file in
/usr/share/glib-2.0/schemas outside of dpkg's knowledge" is not a good
thing either, and people will wonder how this script ended up there, and
not coming from a package.

> 4/ if the system is reconfigured so that gsettings uses something else
>    than dconf as backend,

Urgl, so gsettings might be storing parameters another way, depending on
the system preference?  That, however is really a problem indeed.

Would it be possible to store a schema file somewhere in the user home?

Now, an issue is that while finish-install can be updated with a new
patch without rebuilding debian-installer, brltty can not, and rc2,
supposed to be used for 7.0.0, is already on its way.  Ideally we'd use
the same strategy for both the speakup and the brltty installations...

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Fri, 19 Apr 2013 06:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Apr 2013 06:51:07 GMT) Full text and rfc822 format available.

Message #25 received at 705599@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 705599@bugs.debian.org, debian-accessibility@lists.debian.org
Subject: Re: Bug#705599: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Fri, 19 Apr 2013 08:48:58 +0200
Hi,

On Fri, 19 Apr 2013, Samuel Thibault wrote:
> Raphael Hertzog, le Thu 18 Apr 2013 08:27:01 +0200, a écrit :
> > 1/ you're setting up dbus within d-i instead of letting it happen during
> >    the first boot like on other installation scenarios
> 
> ? I don't undesrstand this: it only sets up a temporary session just for
> setting the value.

During my tries I got this error:

error: Cannot spawn a message bus without a machine-id: Unable to load /var/lib/dbus/machine-id or /etc/machine-id: Failed to open file '/var/lib/dbus/machine-id': No such file or directory

Now you're calling dbus-launch and I expect that a side-effect of this
is to create /var/lib/dbus/machine-id.

So I'm saying that on normal install this would be created on first boot
while in install with speech synthesis it's now created within d-i.

(it might not be a big deal, but it's the kind of side effect that I prefer to avoid)

> > 3/ you change directly the user configuration instead of adjusting
> >    the defaults (this one is debatable since supplementary users might
> >    not want a11y enabled by default but this is a minor inconvenience)
> 
> Yes, thus Cc-ing debian-accessibility.  I'm not sure what we really
> want.  Most often, users (other than the person who installed the system
> with braille or speech) will not want accessibility being enabled.

Yeah, but how common is the multiple users per machine scenario ?
And whatever happens, all users will have gdm with a11y enabled.

> On the other hand, just changing the default could be less surprising
> than having a configured user.
> 
> But on the other hand again, having "a file in
> /usr/share/glib-2.0/schemas outside of dpkg's knowledge" is not a good
> thing either, and people will wonder how this script ended up there, and
> not coming from a package.

That's why I have put a clear comment on the top of the file that says
what created this file. I agree it's not perfect but the same goes for having
one user pre-configured and not the others...

I would not expect to have files in my home directory that do not come from
/etc/skel/ (except standard directories from xdg-user-dirs).

The other positive point of changing the default is that you don't have
to special case and hardcode the knowledge of the gdm user.

> > 4/ if the system is reconfigured so that gsettings uses something else
> >    than dconf as backend,
> 
> Urgl, so gsettings might be storing parameters another way, depending on
> the system preference?  That, however is really a problem indeed.

Yes. That said I don't know anyone who has done it in production. The only
supported databases so far are dconf and gconf.

> Would it be possible to store a schema file somewhere in the user home?

Not that I know. I tried to look up alternative places to put the schema
override files (in /var, in /etc, etc.) but didn't find any (except if
you're ready to change XDG_DATA_DIRS system-wide).

See "man glib-compile-schemas".

> Now, an issue is that while finish-install can be updated with a new
> patch without rebuilding debian-installer, brltty can not, and rc2,
> supposed to be used for 7.0.0, is already on its way.  Ideally we'd use
> the same strategy for both the speakup and the brltty installations...

Yes, I agree. That said it doesn't break anything to mix up the strategies.
Thus we can always sync for 7.0.1.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Sat, 20 Apr 2013 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 20 Apr 2013 23:54:04 GMT) Full text and rfc822 format available.

Message #30 received at 705599@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 705599@bugs.debian.org, debian-accessibility@lists.debian.org
Subject: Re: Bug#705599: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Sun, 21 Apr 2013 01:51:58 +0200
Raphael Hertzog, le Fri 19 Apr 2013 08:48:58 +0200, a écrit :
> Now you're calling dbus-launch and I expect that a side-effect of this
> is to create /var/lib/dbus/machine-id.

Ok.

> (it might not be a big deal, but it's the kind of side effect that I prefer to avoid)

Sure.

> > > 3/ you change directly the user configuration instead of adjusting
> > >    the defaults (this one is debatable since supplementary users might
> > >    not want a11y enabled by default but this is a minor inconvenience)
> > 
> > Yes, thus Cc-ing debian-accessibility.  I'm not sure what we really
> > want.  Most often, users (other than the person who installed the system
> > with braille or speech) will not want accessibility being enabled.
> 
> Yeah, but how common is the multiple users per machine scenario ?

Well, the home computer, typically.

> And whatever happens, all users will have gdm with a11y enabled.

Yes, that is not an issue. Logging into gdm is not very talkative
anyway.

> > On the other hand, just changing the default could be less surprising
> > than having a configured user.
> > 
> > But on the other hand again, having "a file in
> > /usr/share/glib-2.0/schemas outside of dpkg's knowledge" is not a good
> > thing either, and people will wonder how this script ended up there, and
> > not coming from a package.
> 
> That's why I have put a clear comment on the top of the file that says
> what created this file. I agree it's not perfect but the same goes for having
> one user pre-configured and not the others...

Right.

> The other positive point of changing the default is that you don't have
> to special case and hardcode the knowledge of the gdm user.

Indeed.

> > > 4/ if the system is reconfigured so that gsettings uses something else
> > >    than dconf as backend,
> > 
> > Urgl, so gsettings might be storing parameters another way, depending on
> > the system preference?  That, however is really a problem indeed.
> 
> Yes. That said I don't know anyone who has done it in production. The only
> supported databases so far are dconf and gconf.

Ok.

> > Would it be possible to store a schema file somewhere in the user home?
> 
> Not that I know.

Too bad.

> > Now, an issue is that while finish-install can be updated with a new
> > patch without rebuilding debian-installer, brltty can not, and rc2,
> > supposed to be used for 7.0.0, is already on its way.  Ideally we'd use
> > the same strategy for both the speakup and the brltty installations...
> 
> Yes, I agree. That said it doesn't break anything to mix up the strategies.
> Thus we can always sync for 7.0.1.

Right.

So I'd say we can go with your version, and we'll make brltty switch to
that with 7.0.1.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Mon, 29 Apr 2013 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 29 Apr 2013 21:45:04 GMT) Full text and rfc822 format available.

Message #35 received at 705599@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 705599@bugs.debian.org
Subject: Re: Bug#705599: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Mon, 29 Apr 2013 23:40:43 +0200
Raphaël Hertzog, le Wed 17 Apr 2013 11:40:55 +0200, a écrit :
> Please find a tested patch in attachment.

So now we have agreed on using this patch, do we include it in 7.0.0?
Otherwise, people installing a graphical desktop with the speech
synthesis will not have screen reading enabled in the graphical session.

> Let me know if you want
> me to push this change to master or if you want me to create a wheezy
> branch (I noticed that wheezy only has 2.41 while master has 2.42).

I haven't seen anybody push for the 2.42 change, LP#1098299 does not
seem very grave, so I guess we'd rather upload to wheezy?

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Mon, 29 Apr 2013 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 29 Apr 2013 22:00:04 GMT) Full text and rfc822 format available.

Message #40 received at 705599@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 705599@bugs.debian.org
Cc: Raphaël Hertzog <hertzog@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#705599: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Mon, 29 Apr 2013 23:57:30 +0200
[Message part 1 (text/plain, inline)]
Samuel Thibault <sthibault@debian.org> (29/04/2013):
> Raphaël Hertzog, le Wed 17 Apr 2013 11:40:55 +0200, a écrit :
> > Please find a tested patch in attachment.

I like the "tested" part.

> So now we have agreed on using this patch, do we include it in
> 7.0.0?  Otherwise, people installing a graphical desktop with the
> speech synthesis will not have screen reading enabled in the
> graphical session.

Since we're going for rc3 around wednesday, please upload ASAP (so
that it gets dinstalled before tuesday's morning britney run).

> > Let me know if you want me to push this change to master or if you
> > want me to create a wheezy branch (I noticed that wheezy only has
> > 2.41 while master has 2.42).
> 
> I haven't seen anybody push for the 2.42 change, LP#1098299 does not
> seem very grave, so I guess we'd rather upload to wheezy?

Yeah, please t-p-u it.

Cc-ing debian-release@ to let them know, even though I already
discussed this briefly with Adam.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Tue, 30 Apr 2013 00:21:20 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Tue, 30 Apr 2013 00:21:20 GMT) Full text and rfc822 format available.

Message #45 received at 705599-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 705599-close@bugs.debian.org
Subject: Bug#705599: fixed in finish-install 2.41wheezy1
Date: Tue, 30 Apr 2013 00:17:33 +0000
Source: finish-install
Source-Version: 2.41wheezy1

We believe that the bug you reported is fixed in the latest version of
finish-install, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705599@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated finish-install package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 30 Apr 2013 01:59:55 +0200
Source: finish-install
Binary: finish-install
Architecture: source all
Version: 2.41wheezy1
Distribution: testing
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 finish-install - Finish the installation and reboot (udeb)
Closes: 705599
Changes: 
 finish-install (2.41wheezy1) testing; urgency=low
 .
   * Team upload
 .
   [ Raphaël Hertzog ]
   * Update finish-install.d/07speakup to use the relevant dconf
     settings used by GNOME 3 (via a gsettings schema override file).
     Closes: #705599.
Checksums-Sha1: 
 2ae4fc754fd1b3bdd288fc58ab2d37fd04a06d8e 1645 finish-install_2.41wheezy1.dsc
 baa0518614e5903c1c74178d48a2526d80103bd7 61970 finish-install_2.41wheezy1.tar.gz
 6af4d5cd905407f308d54f44eb834692ba0ebf62 24868 finish-install_2.41wheezy1_all.udeb
Checksums-Sha256: 
 3d5fdbc81e3018e7ee66e8d048f6c1150e666a7113f6b2fd128a1a799d46a738 1645 finish-install_2.41wheezy1.dsc
 91ad0ac36c03f3990ddb5b4c6a29217a00b9eefe43415df580657a6d534ca661 61970 finish-install_2.41wheezy1.tar.gz
 bf2d3898770cd783f6086c20e63f8789e02c9dbe94a20c92c9fe1ed816c3ac2d 24868 finish-install_2.41wheezy1_all.udeb
Files: 
 97a7c229f9c88648c93a07dae4b7dc64 1645 debian-installer required finish-install_2.41wheezy1.dsc
 4ae39f7027514edffa0638dc5d729be3 61970 debian-installer required finish-install_2.41wheezy1.tar.gz
 6c506835337265259d009c1d7d5c51b8 24868 debian-installer required finish-install_2.41wheezy1_all.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRfwqIAAoJECqpogBB8bdXpj0P/1+LCPRSRHMthl/SNVki66by
XHvtDUKNF4UmrkEgrcKAwLthNjBC/wxhna9mwndIYLQ+vANb9C0bVnwW9GSVD7jx
cQV4I/kykKAKVpSTSvxmLS7RDV67JLn46fKD2jLYz17/2FUa1HWhWXMRh0OFZRak
rK7iAgeoy8IvDXs9P/RXL2hHdQNA15H1q4P9azJ4wz7N3+NSizDrs7/zFg/P1oue
guJZRfp1vhSOv2tLnz+f7Dm8k6le6JGsNsaNLzB/QPaxfneLWqDwLJ+MP2L5+8ki
rlz1EpuTqNIs73YSj7C2CcQTGhvswaxyI2YDdPuPl1Rz9levwXYrbkmNmnxGSTS1
g0kyaKduUfLxQtdO9fsY4z+fuvhh0w8xYRXbURBtdmq4RzcrhSPolPtAqcgD/w4f
+VrZDaXVwI2peKYWE4y9hkhLSvs+c02zkqniwkgtYqIPGOqDIVItUgk5Xj9xz7u9
MUJNXEYRkp4Lk8qLyGys5mE9J5E/fs5ZtW+4idqSdqWf3dUS85IdAwoLvu61mGn+
k1SPXMTSZW15x3e5GyiUGPhS7ayUIyKNV3PG09Nd+Xx+kSprwzNTRtFnEcu5kQcl
GlfY5i9Rij6yv2ZH4TSVb67xIQxw1mX9+K4SPT/mf4IlNzv4IIEOHkXgPCGVY6nv
Mb3Gm1gYz5dgnI84yZ/2
=8o3I
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Tue, 30 Apr 2013 00:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 30 Apr 2013 00:24:04 GMT) Full text and rfc822 format available.

Message #50 received at 705599@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 705599@bugs.debian.org, Raphaël Hertzog <hertzog@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#705599: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Tue, 30 Apr 2013 02:20:53 +0200
[Message part 1 (text/plain, inline)]
Hello,

Cyril Brulebois, le Mon 29 Apr 2013 23:57:30 +0200, a écrit :
> Since we're going for rc3 around wednesday, please upload ASAP (so
> that it gets dinstalled before tuesday's morning britney run).

Now done.

> > > Let me know if you want me to push this change to master or if you
> > > want me to create a wheezy branch (I noticed that wheezy only has
> > > 2.41 while master has 2.42).
> > 
> > I haven't seen anybody push for the 2.42 change, LP#1098299 does not
> > seem very grave, so I guess we'd rather upload to wheezy?
> 
> Yeah, please t-p-u it.
> 
> Cc-ing debian-release@ to let them know, even though I already
> discussed this briefly with Adam.

Here is the debdiff.

Samuel
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#705599; Package finish-install. (Tue, 30 Apr 2013 06:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 30 Apr 2013 06:21:04 GMT) Full text and rfc822 format available.

Message #55 received at 705599@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>, <705599@bugs.debian.org>, Raphaël Hertzog <hertzog@debian.org>, <debian-release@lists.debian.org>
Subject: Re: Bug#705599: finish-install: 07speakup needs to be updated for Wheezy and GNOME 3
Date: Tue, 30 Apr 2013 07:17:37 +0100
On 2013-04-30 1:20, Samuel Thibault wrote:
> Cyril Brulebois, le Mon 29 Apr 2013 23:57:30 +0200, a écrit :
>> Since we're going for rc3 around wednesday, please upload ASAP (so
>> that it gets dinstalled before tuesday's morning britney run).
>
> Now done.

Approved.

Regards,

Adam



Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sat, 13 Jul 2013 21:06:05 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Sat, 13 Jul 2013 21:06:05 GMT) Full text and rfc822 format available.

Message #60 received at 705599-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 705599-close@bugs.debian.org
Subject: Bug#705599: fixed in finish-install 2.44
Date: Sat, 13 Jul 2013 21:03:55 +0000
Source: finish-install
Source-Version: 2.44

We believe that the bug you reported is fixed in the latest version of
finish-install, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705599@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated finish-install package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 13 Jul 2013 13:37:51 +0200
Source: finish-install
Binary: finish-install
Architecture: source all
Version: 2.44
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 finish-install - Finish the installation and reboot (udeb)
Closes: 705599
Changes: 
 finish-install (2.44) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Update finish-install.d/07speakup to use the relevant dconf
     settings used by GNOME 3 (via a gsettings schema override file).
     Closes: #705599.
 .
   [ Dmitrijs Ledkovs ]
   * Set debian source format to '3.0 (native)'.
   * Bump debhelper compat level to 9.
   * Set Vcs-* to canonical format.
Checksums-Sha1: 
 d4fd69affaf5d9536e4fa7d0adeea2f32773518c 1626 finish-install_2.44.dsc
 3b3eb6cfa6ef03a8f1d7dc7c011dae7629a00fa1 62168 finish-install_2.44.tar.gz
 e5c7378538cc21ed1f795bef6a4d7ab40ba4278a 24990 finish-install_2.44_all.udeb
Checksums-Sha256: 
 273872cbb0c146023bb715be9ee5ee3067995dee415ad7449cf3c13910d866a9 1626 finish-install_2.44.dsc
 2c8ccbccefeda8da581ecb50b472d19d8ef813045b717690069582b8d39f382f 62168 finish-install_2.44.tar.gz
 db03d272218a3e7e14c209c5341d13ed669ce71df321adf11a51bae7c5fc814d 24990 finish-install_2.44_all.udeb
Files: 
 82c97f83bc7eaf0ceffdd53407ea5ff0 1626 debian-installer required finish-install_2.44.dsc
 83e95d49d893b3b9eb82ee0abb099091 62168 debian-installer required finish-install_2.44.tar.gz
 de20132938c199336d31f88e8c21d202 24990 debian-installer required finish-install_2.44_all.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUeG6bIcvcCxNbiWoAQJjbw/9HU6QBHzlFqSELAx63Q0wkgtMHSBiA5WD
HdESH3FjUy3CkSI3kAOS2RemBdU4xWUsOQU70AWGrYD1b4SuFyFZS06kmE7LsgnW
4PwAicOMrM7hgYPzQLj0JmsSscuiJ5OTxjmIUZw+BLLJ/MIBX6j36u4dAAYQI6Ab
agTpWR9tXQrSs/D12ZvLQMOT/7eDsKmnKn6cTzTXAQDLaRJq8uWFh62B0cnmx9rm
Y5Y7a/wGkirjO8UBHny/jyqfRobwsNohJpyqOayspbj0kJ+2aeYV86l64Q4pXqA8
V8gmeX0Vs9N2W6wRaOdb0Cq3TEyYM++Kp2gwigyCPkxK0RKoFdEkJrheughSoVLg
TKURgXD09fgE31e4pI6hbQaDHeo/jadYBwa+O5Tg/+2Zp0k8szvQI05S7iik2oEi
PG57uESOcHZ/j2R8IyGCz69SjQWci2l3iOn+hveD4rU2IegXmjQOGGcFUEp7+2b8
Yf19gw4ISmkbURx6B8NVHUoV0+cPhJPhZTsMfYmN0kGmjcj3UCKogNSYWlTgWiEK
ggjgh8uk+ShpWQv0mQTFE0LshSbc23SfwmhwM9VUSSG20t8+f4/gWcFx/J2DUDka
0igNY2RfLpzpv2r7Jm0waybD4uI81NF7kv6PuFFmSMgAHxp6UTRCoPsJlMu8VezV
o4yeqv3cDSI=
=vElx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Aug 2013 07:33:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:02:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.